<?php

namespace App\Enums;

enum PaymentStatus: string
{
    case Pending = 'pending';
    case Received = 'received';
    case NotApplicable = 'na';

    public function label(): string
    {
        return match ($this) {
            self::Pending => __('enums.payment_status.pending'),
            self::Received => __('enums.payment_status.received'),
            self::NotApplicable => __('enums.payment_status.na'),
        };
    }
}
